#ifndef _QUIK_STBI_H_
#define _QUIK_STBI_H_

#include "quik/quik_common.h"

QUIK_DECLARE_LIB(quik_stbi)

/* TODO: Change this declaration so we can export a DLL properly in windows. */
#define STBIDEF QEXTERN

#define STBI_ASSERT(EXPR) do { \
    if (!(EXPR)) \
        quik_stbi_failed_assert(#EXPR, __FILE__, __LINE__ - 2, __QUIK_FUNCTION__); \
} while(0)

#include "stb/stb_image.h"

#endif
